PHPExcel_Writer_Excel2007_Worksheet

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write worksheet to XML format

    writeWorksheet(\PHPExcel_Worksheet $pSheet, string[] $pStringTable, boolean $includeCharts) : string

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

#### $pStringTable

`string[]`

#### $includeCharts

`boolean`

Flag indicating if we should write charts

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write AutoFilter

    _writeAutoFilter(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Breaks

    _writeBreaks(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Cell

    _writeCell(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet, \PHPExcel_Cell $pCellAddress, string[] $pStringTable, string[] $pFlippedStringTable)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

#### $pCellAddress

`\PHPExcel_Cell`

Cell Address

#### $pStringTable

`string[]`

String table

#### $pFlippedStringTable

`string[]`

String table (flipped), for faster index searching

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Cols

    _writeCols(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write ConditionalFormatting

    _writeConditionalFormatting(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write DataValidations

    _writeDataValidations(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Dimension

    _writeDimension(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Drawings

    _writeDrawings(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet, boolean $includeCharts)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

#### $includeCharts

`boolean`

Flag indicating if we should include drawing details for charts

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Hyperlinks

    _writeHyperlinks(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write LegacyDrawing

    _writeLegacyDrawing(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write LegacyDrawingHF

    _writeLegacyDrawingHF(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write MergeCells

    _writeMergeCells(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write PageMargins

    _writePageMargins(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write PageSetup

    _writePageSetup(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write PrintOptions

    _writePrintOptions(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write ProtectedRanges

    _writeProtectedRanges(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write SheetData

    _writeSheetData(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet, string[] $pStringTable)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

#### $pStringTable

`string[]`

String table

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write SheetFormatPr

    _writeSheetFormatPr(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write SheetPr

    _writeSheetPr(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write SheetProtection

    _writeSheetProtection(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write SheetViews

    _writeSheetViews(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

`\PHPExcel_Worksheet`

Worksheet

### Exceptions

`\PHPExcel_Writer_Exception` |

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter